import request from '@/utils/request'

// 查询商品模板列表
export function listStoreProductTemplate(query) {
  return request({
    url: '/store/storeProductTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询商品模板详细
export function getStoreProductTemplate(tempId) {
  return request({
    url: '/store/storeProductTemplate/' + tempId,
    method: 'get'
  })
}

// 新增商品模板
export function addStoreProductTemplate(data) {
  return request({
    url: '/store/storeProductTemplate',
    method: 'post',
    data: data
  })
}

// 修改商品模板
export function updateStoreProductTemplate(data) {
  return request({
    url: '/store/storeProductTemplate',
    method: 'put',
    data: data
  })
}

// 删除商品模板
export function delStoreProductTemplate(tempId) {
  return request({
    url: '/store/storeProductTemplate/' + tempId,
    method: 'delete'
  })
}

// 导出商品模板
export function exportStoreProductTemplate(query) {
  return request({
    url: '/store/storeProductTemplate/export',
    method: 'get',
    params: query
  })
}
